Bug 88721 - I need X configuration with out a gui being loaded
I need X configuration with out a gui being loaded
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-xfree86 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2003-04-12 11:58 EDT by Need Real Name
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-04-25 12:45:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-04-12 11:58:24 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
Why is it that X setup is no longer an available option on setup? Is there any
way to create an x setup without a gui?  I'm a unix administrator and this tool
was needed many times.

There are 2 reasons i need it and maybe why you should put it back.
First reason I need it:
When installing some newer nvidia cards that will be out in the future like
nvidia gforce 4 was for redhat 7.3, the gui test would fail on text installation
and just the normal gui installation, why because it really wasn't supported for
redhat.  So I would use the non-gui x configuration in /usr/sbin/setup to  run
after installation just to detect the monitor and the mouse, and the horizontal
frequence, i would skip the X test and install the nvidia driver.  This would
work.  Now I'm unable to do that because I have to configure
/etc/X11/XF86-config-4 by hand which is highly unfortunate.  And when you
support a graphics lab with many nvidia cards this is going to a problem.

Second reason I need.
When I start the normal text installation sometimes detection of the monitor
would fail.  So I started just doing setup after installation.  This was on
redhat 7.3. and This still happens in 8.0.  Although after a reboot and running
setup in redhat 7.3 it would detect the monitor.  Now I do not have that ability.

IS there any possibly way to setup x by choosing the horizontal/vertical and
memory and clock without starting a gui?  Obviously now you can see why This can
be a severe problem with me, unless I copy /etc/X11/Xf86-config-4 to every
machine that has nvidia.
This will also be a problem when device drivers aren't really supported and I
can't bring up the gui.  Atleast setup gave some way of getting around this
problem.  I will be unable to upgrade any of my graphic intense machines until I
am able to find a way around this.  Is it solved in redhat 9?

Version-Release number of selected component (if applicable):

How reproducible:
Couldn't Reproduce

Steps to Reproduce:

Expected Results:  I need X configuration
Comment 1 Brent Fox 2003-04-14 16:56:30 EDT
The behavior has not changed in RHL 9, but there is a way to run
redhat-config-xfree86 without the GUI.

Try something like: 'redhat-config-xfree86 --noui --set-resolution="1024x768"

Run 'redhat-config-xfree86 --help' to see the possible settings you can use on
the command line.

Does that help?
Comment 2 Brent Fox 2003-04-25 12:45:55 EDT
Please reopen this bug if the above line doesn't work for you.

Note You need to log in before you can comment on or make changes to this bug.